#
# Skorecki et al. (1997) Y chromosome of Jewish priests. Nature 385:32.
# HaplListName="Yap-DYS19 haplotypes on Y chromosome"
#
# 1 Yap- A 2 Yap- B 3 Yap- C 4 Yap- D 5 Yap- E 6 Yap+ All		
#
set loc pop       cat 1=AshCoh 2=AshIsr 3=SephCoh 4=SephIsr
set loc Yap-DYS19 yma
read ped inline
AshCohen      1  x x m 1 1/1 
AshCohen      2  x x m 1 1/1 
AshCohen      3  x x m 1 1/1 
AshCohen      4  x x m 1 1/1 
AshCohen      5  x x m 1 1/1 
AshCohen      6  x x m 1 1/1 
AshCohen      7  x x m 1 1/1 
AshCohen      8  x x m 1 1/1 
AshCohen      9  x x m 1 1/1 
AshCohen      10 x x m 1 2/2 
AshCohen      11 x x m 1 2/2 
AshCohen      12 x x m 1 2/2 
AshCohen      13 x x m 1 2/2 
AshCohen      14 x x m 1 2/2 
AshCohen      15 x x m 1 2/2 
AshCohen      16 x x m 1 2/2 
AshCohen      17 x x m 1 2/2 
AshCohen      18 x x m 1 2/2 
AshCohen      19 x x m 1 2/2 
AshCohen      20 x x m 1 2/2 
AshCohen      21 x x m 1 2/2 
AshCohen      22 x x m 1 2/2 
AshCohen      23 x x m 1 2/2 
AshCohen      24 x x m 1 2/2 
AshCohen      25 x x m 1 2/2 
AshCohen      26 x x m 1 2/2 
AshCohen      27 x x m 1 2/2 
AshCohen      28 x x m 1 2/2 
AshCohen      29 x x m 1 2/2 
AshCohen      30 x x m 1 3/3 
AshCohen      31 x x m 1 3/3 
AshCohen      32 x x m 1 3/3 
AshCohen      33 x x m 1 3/3 
AshCohen      34 x x m 1 3/3 
AshCohen      35 x x m 1 3/3 
AshCohen      36 x x m 1 3/3 
AshCohen      37 x x m 1 3/3 
AshCohen      38 x x m 1 3/3 
AshCohen      39 x x m 1 3/3 
AshCohen      40 x x m 1 4/4 
AshCohen      41 x x m 1 4/4 
AshCohen      42 x x m 1 4/4 
AshCohen      43 x x m 1 4/4 
AshCohen      44 x x m 1 6/6 
AshIsraelite  1  x x m 2 1/1 
AshIsraelite  2  x x m 2 1/1 
AshIsraelite  3  x x m 2 1/1 
AshIsraelite  4  x x m 2 1/1 
AshIsraelite  5  x x m 2 1/1 
AshIsraelite  6  x x m 2 1/1 
AshIsraelite  7  x x m 2 2/2 
AshIsraelite  8  x x m 2 2/2 
AshIsraelite  9  x x m 2 2/2 
AshIsraelite  10 x x m 2 2/2 
AshIsraelite  11 x x m 2 2/2 
AshIsraelite  12 x x m 2 2/2 
AshIsraelite  13 x x m 2 2/2 
AshIsraelite  14 x x m 2 2/2 
AshIsraelite  15 x x m 2 2/2 
AshIsraelite  16 x x m 2 2/2 
AshIsraelite  17 x x m 2 2/2 
AshIsraelite  18 x x m 2 2/2 
AshIsraelite  19 x x m 2 2/2 
AshIsraelite  20 x x m 2 2/2 
AshIsraelite  21 x x m 2 2/2 
AshIsraelite  22 x x m 2 2/2 
AshIsraelite  23 x x m 2 2/2 
AshIsraelite  24 x x m 2 2/2 
AshIsraelite  25 x x m 2 2/2 
AshIsraelite  26 x x m 2 2/2 
AshIsraelite  27 x x m 2 2/2 
AshIsraelite  28 x x m 2 2/2 
AshIsraelite  29 x x m 2 2/2 
AshIsraelite  30 x x m 2 2/2 
AshIsraelite  31 x x m 2 2/2 
AshIsraelite  32 x x m 2 2/2 
AshIsraelite  33 x x m 2 3/3 
AshIsraelite  34 x x m 2 3/3 
AshIsraelite  35 x x m 2 3/3 
AshIsraelite  36 x x m 2 3/3 
AshIsraelite  37 x x m 2 3/3 
AshIsraelite  38 x x m 2 3/3 
AshIsraelite  39 x x m 2 3/3 
AshIsraelite  40 x x m 2 3/3 
AshIsraelite  41 x x m 2 3/3 
AshIsraelite  42 x x m 2 3/3 
AshIsraelite  43 x x m 2 3/3 
AshIsraelite  44 x x m 2 3/3 
AshIsraelite  45 x x m 2 3/3 
AshIsraelite  46 x x m 2 3/3 
AshIsraelite  47 x x m 2 3/3 
AshIsraelite  48 x x m 2 3/3 
AshIsraelite  49 x x m 2 3/3 
AshIsraelite  50 x x m 2 3/3 
AshIsraelite  51 x x m 2 3/3 
AshIsraelite  52 x x m 2 3/3 
AshIsraelite  53 x x m 2 3/3 
AshIsraelite  54 x x m 2 3/3 
AshIsraelite  55 x x m 2 4/4 
AshIsraelite  56 x x m 2 4/4 
AshIsraelite  57 x x m 2 4/4 
AshIsraelite  58 x x m 2 4/4 
AshIsraelite  59 x x m 2 4/4 
AshIsraelite  60 x x m 2 4/4 
AshIsraelite  61 x x m 2 4/4 
AshIsraelite  62 x x m 2 4/4 
AshIsraelite  63 x x m 2 4/4 
AshIsraelite  64 x x m 2 5/5 
AshIsraelite  65 x x m 2 5/5 
AshIsraelite  66 x x m 2 6/6 
AshIsraelite  67 x x m 2 6/6 
AshIsraelite  68 x x m 2 6/6 
AshIsraelite  69 x x m 2 6/6 
AshIsraelite  70 x x m 2 6/6 
AshIsraelite  71 x x m 2 6/6 
AshIsraelite  72 x x m 2 6/6 
AshIsraelite  73 x x m 2 6/6 
AshIsraelite  74 x x m 2 6/6 
AshIsraelite  75 x x m 2 6/6 
AshIsraelite  76 x x m 2 6/6 
AshIsraelite  77 x x m 2 6/6 
AshIsraelite  78 x x m 2 6/6 
AshIsraelite  79 x x m 2 6/6 
AshIsraelite  80 x x m 2 6/6 
AshIsraelite  81 x x m 2 6/6 
SephCohen     1  x x m 3 1/1 
SephCohen     2  x x m 3 1/1 
SephCohen     3  x x m 3 2/2 
SephCohen     4  x x m 3 2/2 
SephCohen     5  x x m 3 2/2 
SephCohen     6  x x m 3 2/2 
SephCohen     7  x x m 3 2/2 
SephCohen     8  x x m 3 2/2 
SephCohen     9  x x m 3 2/2 
SephCohen     10 x x m 3 2/2 
SephCohen     11 x x m 3 2/2 
SephCohen     12 x x m 3 2/2 
SephCohen     13 x x m 3 2/2 
SephCohen     14 x x m 3 2/2 
SephCohen     15 x x m 3 2/2 
SephCohen     16 x x m 3 2/2 
SephCohen     17 x x m 3 2/2 
SephCohen     18 x x m 3 2/2 
SephCohen     19 x x m 3 2/2 
SephCohen     20 x x m 3 3/3 
SephCohen     21 x x m 3 4/4 
SephCohen     22 x x m 3 4/4 
SephCohen     23 x x m 3 5/5 
SephCohen     24 x x m 3 5/5 
SephIsraelite 1  x x m 4 1/1 
SephIsraelite 2  x x m 4 1/1 
SephIsraelite 3  x x m 4 1/1 
SephIsraelite 4  x x m 4 1/1 
SephIsraelite 5  x x m 4 1/1 
SephIsraelite 6  x x m 4 2/2 
SephIsraelite 7  x x m 4 2/2 
SephIsraelite 8  x x m 4 2/2 
SephIsraelite 9  x x m 4 2/2 
SephIsraelite 10 x x m 4 2/2 
SephIsraelite 11 x x m 4 2/2 
SephIsraelite 12 x x m 4 2/2 
SephIsraelite 13 x x m 4 2/2 
SephIsraelite 14 x x m 4 2/2 
SephIsraelite 15 x x m 4 2/2 
SephIsraelite 16 x x m 4 2/2 
SephIsraelite 17 x x m 4 2/2 
SephIsraelite 18 x x m 4 2/2 
SephIsraelite 19 x x m 4 3/3 
SephIsraelite 20 x x m 4 3/3 
SephIsraelite 21 x x m 4 3/3 
SephIsraelite 22 x x m 4 3/3 
SephIsraelite 23 x x m 4 3/3 
SephIsraelite 24 x x m 4 3/3 
SephIsraelite 25 x x m 4 3/3 
SephIsraelite 26 x x m 4 3/3 
SephIsraelite 27 x x m 4 3/3 
SephIsraelite 28 x x m 4 3/3 
SephIsraelite 29 x x m 4 3/3 
SephIsraelite 30 x x m 4 3/3 
SephIsraelite 31 x x m 4 3/3 
SephIsraelite 32 x x m 4 3/3 
SephIsraelite 33 x x m 4 4/4 
SephIsraelite 34 x x m 4 6/6 
SephIsraelite 35 x x m 4 6/6 
SephIsraelite 36 x x m 4 6/6 
SephIsraelite 37 x x m 4 6/6 
SephIsraelite 38 x x m 4 6/6 
SephIsraelite 39 x x m 4 6/6 
;;;;
run
# 1 Yap- A 2 Yap- B 3 Yap- C 4 Yap- D 5 Yap- E 6 Yap+ All		
recode Yap-DYS19 1 2 3 4 5 6 to A B C D E Z
set loc kohen aff
kohen=n
sel ped *ohen*
kohen=y
unselect
yha pop
yha kohen
set loc ashkenazi aff
if (pop == 1 or pop==2) then ashkenazi=y else ashkenazi=n
llm  ashkenazi kohen "Yap-DYS19" ashkenazi*kohen ashkenazi*"Yap-DYS19" kohen*"Yap-DYS19"
llm  ashkenazi kohen "Yap-DYS19" ashkenazi*kohen ashkenazi*"Yap-DYS19"
lrt
llm  ashkenazi kohen "Yap-DYS19" ashkenazi*kohen 
lrt
